summaryrefslogtreecommitdiff
path: root/net-misc/dhcdbd/files/dhcdbd.init
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/dhcdbd/files/dhcdbd.init')
-rw-r--r--net-misc/dhcdbd/files/dhcdbd.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/net-misc/dhcdbd/files/dhcdbd.init b/net-misc/dhcdbd/files/dhcdbd.init
new file mode 100644
index 0000000..9bf0cfe
--- /dev/null
+++ b/net-misc/dhcdbd/files/dhcdbd.init
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net dbus
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /sbin/dhcdbd \
+ --pidfile /var/run/dhcdbd.pid \
+ -- ${DHCDBD_ARGS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --exec /sbin/dhcdbd \
+ --pidfile /var/run/dhcdbd.pid
+ eend $?
+}